FieldEdge Open API
DocsAPIs
DocsAPIs
  1. ItemCategory
  • Lead
    • Creates a new lead with customer details, appointment preferences, and service information.
      POST
    • Fetches lead details based on the provided lead identifier.
      GET
  • Customer
    • Creates a new customer
      POST
    • Updates an existing customer
      PUT
    • Search customers by phone, email, or first name
      GET
    • Search customers based on address details.
      GET
    • Get customer details by ID
      GET
  • Webhook
    • Registers a new webhook endpoint to receive event notifications.
      POST
  • Item
    • Creates a new inventory item
      POST
  • ItemCategory
    • Get List of itemCategories.
      GET
DocsAPIs
DocsAPIs
  1. ItemCategory

Get List of itemCategories.

GET
/v1/itemCategory/get-categories
Get list of itemCategories with filters and sort parameter

Request

Query Params

Responses

🟢200
application/json
Categories retrieved successfully
Body

🟢204
🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dev.api.fieldedge.com/leads/v1/itemCategory/get-categories?companyId&limit&offset&childTreeLevel&sortbychildTreeLevel'
Response Response Example
200 - response
{
    "total": 2,
    "limit": 20,
    "offset": 0,
    "data": [
        {
            "id": "3f1c9f1d-0d57-4c91-bc2b-2c0b7a8c1f01",
            "name": "HVAC",
            "active": true,
            "imageUrl": "https://cdn.company.com/categories/hvac.png",
            "parent": "00000000-0000-0000-0000-000000000000",
            "childTreeLevel": 0,
            "qboId": "1001"
        },
        {
            "id": "5c62b1b7-4f6a-4b27-8a33-93c8c3e6b902",
            "name": "Air Conditioning",
            "active": true,
            "imageUrl": "https://cdn.company.com/categories/ac.png",
            "parent": "3f1c9f1d-0d57-4c91-bc2b-2c0b7a8c1f01",
            "childTreeLevel": 1,
            "qboId": "1002"
        }
    ]
}
Modified at 2026-03-12 12:31:15
Previous
Creates a new inventory item
Built with